package com.yunzhi.marketing.xlk.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 视频表 
 * </p>
 *
 * @author jobob
 * @since 2021-05-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_video")
public class Video implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.UUID)
    private String videoId;

    /**
     * 创建人
     */
    @TableField("CREATED_BY")
    private Integer createdBy;

    /**
     * 创建时间
     */
    @TableField("CREATED_TIME")
    private LocalDateTime createdTime;

    /**
     * 更新人
     */
    @TableField("UPDATED_BY")
    private String updatedBy;

    /**
     * 更新时间
     */
    @TableField("UPDATED_TIME")
    private LocalDateTime updatedTime;

    /**
     * 公司id
     */
    @TableField("ORG_ID")
    private Integer orgId;

    /**
     * 所属城市
     */
    @TableField("CITY_ID")
    private Integer cityId;

    /**
     * 所属楼盘
     */
    @TableField("BUILDING_ID")
    private String buildingId;

    /**
     * 所属楼盘
     */
    @TableField(exist = false)
    private String buildingName;

    /**
     * 主图
     */
    private String videImg;

    /**
     * 视频标题
     */
    private String name;

    /**
     * 视频简介
     */
    private String remark;

    /**
     * 视频地址
     */
    private String videoUrl;

    /**
     * 权重
     */
    @TableField("WEIGHT")
    private Integer weight;

    /**
     * 阅读人数
     */
    private Integer lookNum;

    /**
     * 是否发布
     */
    private Boolean isPublish;

}
